function ssl.wrap(...)
    local s = ssl.create()
    s:wrap(unpack(arg))
    return s
end

-- OpenSSL OPTIONS and VERIFY OPTIONS constants
ssl.OP_MICROSOFT_SESS_ID_BUG = 1
ssl.OP_NETSCAPE_CHALLENGE_BUG = 2
ssl.OP_NETSCAPE_REUSE_CIPHER_CHANGE_BUG = 8
ssl.OP_SSLREF2_REUSE_CERT_TYPE_BUG = 16
ssl.OP_MICROSOFT_BIG_SSLV3_BUFFER = 32
ssl.OP_MSIE_SSLV2_RSA_PADDING = 64
ssl.OP_SSLEAY_080_CLIENT_DH_BUG = 128
ssl.OP_TLS_D5_BUG = 256
ssl.OP_TLS_BLOCK_PADDING_BUG = 512
ssl.OP_DONT_INSERT_EMPTY_FRAGMENTS = 2048
ssl.OP_ALL = 4095
ssl.OP_NO_SESSION_RESUMPTION_ON_RENEGOTIATION = 65536
ssl.OP_SINGLE_DH_USE = 1048576
ssl.OP_EPHEMERAL_RSA = 2097152
ssl.OP_CIPHER_SERVER_PREFERENCE = 4194304
ssl.OP_TLS_ROLLBACK_BUG = 8388608
ssl.OP_NO_SSLv2 = 16777216
ssl.OP_NO_SSLv3 = 33554432
ssl.OP_NO_TLSv1 = 67108864
ssl.OP_PKCS1_CHECK_1 = 134217728
ssl.OP_PKCS1_CHECK_2 = 268435456
ssl.OP_NETSCAPE_CA_DN_BUG = 536870912
ssl.OP_NETSCAPE_DEMO_CIPHER_CHANGE_BUG = 1073741824
ssl.VERIFY_NONE = 0
ssl.VERIFY_PEER = 1
ssl.VERIFY_FAIL_IF_NO_PEER_CERT = 2
ssl.VERIFY_CLIENT_ONCE = 4

